package com.gree.mall.miniapp.enums.material;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.miniapp.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum PartsPushFlagEnum implements BaseEnum {
    SALES("SALES","销售"),
    TRANS("TRANS","转销售"),
    END("END","完结"),;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;
}
